INTERFACE
SUBROUTINE GPGRXYBTL(&
 & KPROMA,KD,KF,KFLEV,PVC,PVBH,&
 & PREL,PREM,PRDELP,PRPRE,PRPP,PLNPR,PALPH,PRTGR,&
 & PLNPRL,PLNPRM,PALPHL,PALPHM,PALPHPLL,PALPHPLM,&
 & PCOEFD5,PCOEFAPL5,PCOEFA5,&
 & PRE5L,PRE5M,PRDELP5,PRPP5,PLNPR5,PALPH5,PRTGR5&
 & ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KD
INTEGER(KIND=JPIM),INTENT(IN) :: KF
REAL(KIND=JPRB) ,INTENT(IN) :: PVC(KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVBH(0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PREL(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PREM(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRPRE(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRPP(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPR(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PALPH(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRTGR(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLNPRL(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLNPRM(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PALPHL(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PALPHM(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PALPHPLL(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PALPHPLM(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOEFD5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOEFAPL5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOEFA5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRE5L(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRE5M(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRPP5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPR5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PALPH5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRTGR5(KPROMA,KFLEV)
END SUBROUTINE GPGRXYBTL
END INTERFACE
